> ## Documentation Index
> Fetch the complete documentation index at: https://developer.rocket.chat/llms.txt
> Use this file to discover all available pages before exploring further.

# List Custom User Status

> Lists all available custom user's status.

### Changelog
| Version      | Description | 
| ---------------- | ------------|
|7.0.0           | Added `name` and `_id` query parameters for filtering.      |
|2.4.0            | Added       |

## OpenAPI

````json GET /api/v1/custom-user-status.list
{
  "openapi": "3.0.0",
  "info": {
    "version": "1.0.0",
    "title": "Content Management"
  },
  "servers": [
    {
      "url": "https://apiexplorer.support.rocket.chat"
    }
  ],
  "tags": [
    {
      "name": "Assets"
    },
    {
      "name": "Custom Emoji"
    },
    {
      "name": "Custom Sounds"
    },
    {
      "name": "Custom User Status"
    }
  ],
  "paths": {
    "/api/v1/custom-user-status.list": {
      "get": {
        "tags": [
          "Custom User Status"
        ],
        "summary": "List Custom User Status",
        "description": "Lists all available custom user's status.\n\n### Changelog\n| Version      | Description | \n| ---------------- | ------------|\n|7.0.0           | Added `name` and `_id` query parameters for filtering.      |\n|2.4.0            | Added       |",
        "operationId": "get-api-v1-custom-user-status.list",
        "parameters": [
          {
            "$ref": "#/components/parameters/Auth-Token"
          },
          {
            "$ref": "#/components/parameters/UserId"
          },
          {
            "name": "name",
            "in": "query",
            "description": "Filter list by the name of the custom status.",
            "schema": {
              "type": "string"
            },
            "example": "lunch"
          },
          {
            "name": "_id",
            "in": "query",
            "description": "Filter list by the _id of the custom status.",
            "schema": {
              "type": "string"
            },
            "example": "6731e2ce3b74d3c57d334d0f"
          },
          {
            "$ref": "#/components/parameters/count"
          },
          {
            "$ref": "#/components/parameters/offset"
          },
          {
            "schema": {},
            "in": "query",
            "name": "sort",
            "description": "Sort the order of custom user status in ascending (`1`) or descending (`-1`) order. The options are:\n * `name`: Sort by name. For example, `sort={\"name\": 1}` (default) or `sort={\"name\": -1}`.\n * `statusType`: Sort by status type. For example, `sort={\"statusType\": 1}` or sort=`{\"statusType\": -1}`.\n * You can also sort using both parameters. For example, `sort={\"name\": 1, \"statusType\": -1}`."
          }
        ],
        "responses": {
          "200": {
            "description": "OK",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "statuses": {
                      "type": "array",
                      "items": {
                        "type": "object",
                        "properties": {
                          "_id": {
                            "type": "string"
                          },
                          "name": {
                            "type": "string"
                          },
                          "statusType": {
                            "type": "string"
                          },
                          "_updatedAt": {
                            "type": "string"
                          }
                        }
                      }
                    },
                    "count": {
                      "type": "integer"
                    },
                    "offset": {
                      "type": "integer"
                    },
                    "total": {
                      "type": "integer"
                    },
                    "success": {
                      "type": "boolean"
                    }
                  }
                },
                "examples": {
                  "Success Example": {
                    "value": {
                      "statuses": [
                        {
                          "_id": "63f61be0b000b6b6d86704c8",
                          "name": "brb",
                          "statusType": "away",
                          "_updatedAt": "2023-02-22T13:42:56.811Z"
                        }
                      ],
                      "count": "1",
                      "offset": "0",
                      "total": "1",
                      "success": "true"
                    }
                  }
                }
              }
            }
          },
          "401": {
            "$ref": "#/components/responses/authorizationError"
          }
        }
      }
    }
  },
  "components": {
    "parameters": {
      "Auth-Token": {
        "name": "X-Auth-Token",
        "in": "header",
        "description": "The `authToken` of the authenticated user.",
        "required": "true",
        "schema": {
          "type": "string"
        },
        "example": "RScctEHSmLGZGywfIhWyRpyofhKOiMoUIpimhvheU3f"
      },
      "UserId": {
        "name": "X-User-Id",
        "in": "header",
        "description": "The `userId` of the authenticated user.",
        "required": "true",
        "schema": {
          "type": "string"
        },
        "example": "rbAXPnMktTFbNpwtJ"
      },
      "count": {
        "name": "count",
        "in": "query",
        "description": "The number of items to return. Refer to the [official documentation](https://developer.rocket.chat/apidocs/query-parameters#pagination) to learn more.",
        "required": "false",
        "schema": {
          "type": "integer"
        },
        "example": "50"
      },
      "offset": {
        "name": "offset",
        "in": "query",
        "description": "Number of items to \"skip\" in the query, i.e. requests return count items, skipping the first offset items.  Refer to the [official documentation](https://developer.rocket.chat/apidocs/query-parameters#paginations) to learn more.",
        "required": "false",
        "schema": {
          "type": "integer"
        },
        "example": "50"
      }
    },
    "responses": {
      "authorizationError": {
        "description": "Unauthorized",
        "content": {
          "application/json": {
            "schema": {
              "type": "object",
              "properties": {
                "status": {
                  "type": "string"
                },
                "message": {
                  "type": "string"
                }
              }
            },
            "examples": {
              "Authorization Error": {
                "value": {
                  "status": "error",
                  "message": "You must be logged in to do this."
                }
              }
            }
          }
        }
      }
    }
  }
}
````

